repa-3.4.1.2: High performance, regular, shape polymorphic parallel arrays.

Safe Haskell | None
Language | Haskell98

Data.Array.Repa.Repr.ByteString

Synopsis

- data B
- fromByteString :: sh -> ByteString -> Array B sh Word8
- toByteString :: Array B sh Word8 -> ByteString

# Documentation

data B Source #

Strict ByteStrings arrays are represented as ForeignPtr buffers of Word8

Instances

Source B Word8 Source # | Read elements from a `ByteString`.

Associated Types

data Array B sh Word8 :: * Source #

Methods

extent :: Shape sh => Array B sh Word8 -> sh Source #

index :: Shape sh => Array B sh Word8 -> sh -> Word8 Source #

unsafeIndex :: Shape sh => Array B sh Word8 -> sh -> Word8 Source #

linearIndex :: Shape sh => Array B sh Word8 -> Int -> Word8 Source #

unsafeLinearIndex :: Shape sh => Array B sh Word8 -> Int -> Word8 Source #

deepSeqArray :: Shape sh => Array B sh Word8 -> b -> b Source #

Structured B Word8 b Source # |
Associated Types type TR B :: * Source # Methods smap :: Shape sh => (Word8 -> b) -> Array B sh Word8 -> Array (TR B) sh b Source # szipWith :: (Shape sh, Source r c) => (c -> Word8 -> b) -> Array r sh c -> Array B sh Word8 -> Array (TR B) sh b Source #
Read sh => Read (Array B sh Word8) Source # |
Methods readsPrec :: Int -> ReadS (Array B sh Word8) # readList :: ReadS [Array B sh Word8] # readPrec :: ReadPrec (Array B sh Word8) # readListPrec :: ReadPrec [Array B sh Word8] #
Show sh => Show (Array B sh Word8) Source # |
Methods showsPrec :: Int -> Array B sh Word8 -> ShowS # show :: Array B sh Word8 -> String # showList :: [Array B sh Word8] -> ShowS #
type TR B Source # |
type TR B = D
data Array B sh Word8 Source # |
data Array B sh Word8 = AByteString !sh !ByteString

fromByteString :: sh -> ByteString -> Array B sh Word8 Source #

O(1). Wrap a `ByteString` as an array.

toByteString :: Array B sh Word8 -> ByteString Source #

O(1). Unpack a `ByteString` from an array.